Skip to content
Back to top
View this page

# `incus storage volume file pull`

Pull files from custom volumes

## Synopsis

[96;1;4mDescription:[0;22;24m
Pull files from custom volumes

    incus storage volume file pull [2m[[22m[32m<remote>[0m:[2m][22m[32m<pool>[0m [32m<volume>[0m/[32m<path>[0m [32m<target path>[0m [flags]

## Examples

      incus custom volume file pull local v1/foo/etc/hosts .
         To pull /etc/hosts from the custom volume and write it to the current directory.

      incus file pull local v1 foo/etc/hosts -
         To pull /etc/hosts from the custom volume and write its output to standard output.

## Options

      -p, --create-dirs      Create any directories necessary
      -L, --dereference      Always follow symbolic links in source path
      -H, --follow           Follow command-line symbolic links in source path
      -P, --no-dereference   Never follow symbolic links in source path
      -r, --recursive        Recursively transfer files

## Options inherited from parent commands

          --debug          Show all debug messages
          --explain        If the command is valid, explain its parsed arguments instead of running it
          --force-local    Force using the local unix socket
      -h, --help           Print help
          --project        Override the source project
      -q, --quiet          Don't show progress information
          --sub-commands   Use with help or --help to view sub-commands
      -v, --verbose        Show all information messages
          --version        Print version number

## SEE ALSO

- incus storage volume file - Manage files in custom volumes